Create contact
curl --request POST \
--url https://api.nuvia.ai/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"phone": "<string>",
"company": "<string>",
"properties": {}
}
'import requests
url = "https://api.nuvia.ai/v1/contacts"
payload = {
"email": "jsmith@example.com",
"firstname": "<string>",
"lastname": "<string>",
"phone": "<string>",
"company": "<string>",
"properties": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jsmith@example.com',
firstname: '<string>',
lastname: '<string>',
phone: '<string>',
company: '<string>',
properties: {}
})
};
fetch('https://api.nuvia.ai/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"country_code": "<string>",
"phone_number": "<string>",
"company": "<unknown>",
"_id": "<string>",
"email": "<string>",
"last_activity_at": "<unknown>",
"linkedin_identifier": "<string>",
"job_title": "<string>",
"seniority": "<string>",
"department": "<string>",
"country": "<string>",
"region": "<string>",
"city": "<string>",
"experience": "<string>",
"skills": "<string>",
"additional_attributes": "<unknown>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>"
}Contatos
Create contact
Creates a new contact in the system. Custom fields can be added via custom_attributes.
POST
/
v1
/
contacts
Create contact
Authorizations
Token JWT de autenticação
Headers
Target company identifier. Required only for global API keys (type=global). Ignored for company API keys and human users.
Body
application/json
Response
Contact created successfully
Contact name
Country code of the phone number
Contact's phone number
Contact's company
Contact ID
Contact's email
Date of the contact's last activity
LinkedIn profile identifier
Contact's job title
Contact's seniority level
Contact's department
Contact's country
Contact's state or region
Contact's city
Contact's professional experience
Contact's skills
Additional contact attributes
Contact creation date
Contact update date